Skip Menu |
 

This queue is for tickets about the Imager CPAN distribution.

Report information
The Basics
Id: 77672
Status: resolved
Priority: 0/
Queue: Imager

People
Owner: Nobody in particular
Requestors: andrej.zverev [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.90
Fixed in: (no value)



Subject: New GIFLIB (4.2) library don't have GIF_LIB_VERSION macro
Download (untitled) / with headers
text/plain 437b
New (4.2) GIFLIB library does not contain macro GIF_LIB_VERSION. This macro has been retired. Therefore Imager can not find the library on the сonfiguration stage. LINK: http://giflib.sourceforge.net/gif_lib.html Forward and Backward Compatibility section. Sorry I don't have patch for this issue. As workaround I'm using such construction but its half-measure. #ifndef GIF_LIB_VERSION #define GIF_LIB_VERSION " Version 4.2, " #endif
Subject: Re: [rt.cpan.org #77672] New GIFLIB (4.2) library don't have GIF_LIB_VERSION macro
Date: Thu, 7 Jun 2012 10:06:52 +1000
To: Andrej Zverev via RT <bug-Imager [...] rt.cpan.org>
From: Tony Cook <tony [...] develop-help.com>
Download (untitled) / with headers
text/plain 616b
On Wed, Jun 06, 2012 at 01:10:21PM -0400, Andrej Zverev via RT wrote: Show quoted text
> New (4.2) GIFLIB library does not contain macro GIF_LIB_VERSION. This macro has been retired. > Therefore Imager can not find the library on the сonfiguration stage. > > LINK: http://giflib.sourceforge.net/gif_lib.html > Forward and Backward Compatibility section. > > Sorry I don't have patch for this issue. > As workaround I'm using such construction but its half-measure. > > #ifndef GIF_LIB_VERSION > #define GIF_LIB_VERSION " Version 4.2, " > #endif
Thanks, the newer macros are saner too. I'll fix this for the next release. Tony
Download (untitled) / with headers
text/plain 553b
On Wed Jun 06 13:10:20 2012, azus wrote: Show quoted text
> New (4.2) GIFLIB library does not contain macro GIF_LIB_VERSION. This > macro has been retired. > Therefore Imager can not find the library on the сonfiguration stage. > > LINK: http://giflib.sourceforge.net/gif_lib.html > Forward and Backward Compatibility section. > > Sorry I don't have patch for this issue. > As workaround I'm using such construction but its half-measure. > > #ifndef GIF_LIB_VERSION > #define GIF_LIB_VERSION " Version 4.2, " > #endif
Thank you, this is fixed in Imager 0.92. Tony


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.